'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-043de2a9.js');

const Toast = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.animationClass = "fadeInDown";
        /**
         * The theme type of the toast. Given by bulma our css framework.
         */
        this.type = "is-primary";
    }
    /**
     * Closes the toast after the given duration in ms
     */
    async closeIn(duration) {
        this.timer = setTimeout(() => this.close(), duration);
    }
    /**
     * Closes this toast
     */
    async close() {
        clearTimeout(this.timer);
        this.animationClass = "fadeOut";
        this.timer = setTimeout(() => {
            this.element.remove();
            clearTimeout(this.timer);
        }, 150);
    }
    render() {
        return (core.h(core.Host, { class: "container" }, core.h("div", { role: "alert", onClick: () => this.close(), class: `toast ${this.animationClass} ${this.type}` }, core.h("slot", null))));
    }
    get element() { return core.getElement(this); }
    static get style() { return "*{-webkit-box-sizing:border-box;box-sizing:border-box;-moz-osx-font-smoothing:grayscale;text-rendering:optimizeLegibility;-webkit-text-size-adjust:100%;-moz-text-size-adjust:100%}\@-webkit-keyframes fadeOut{0%{opacity:1}to{opacity:0}}\@keyframes fadeOut{0%{opacity:1}to{opacity:0}}.fadeOut{-webkit-animation-name:fadeOut;animation-name:fadeOut}\@-webkit-keyframes fadeOutDown{0%{opacity:1}to{opacity:0;-webkit-transform:translate3d(0,100%,0);transform:translate3d(0,100%,0)}}\@keyframes fadeOutDown{0%{opacity:1}to{opacity:0;-webkit-transform:translate3d(0,100%,0);transform:translate3d(0,100%,0)}}.fadeOutDown{-webkit-animation-name:fadeOutDown;animation-name:fadeOutDown}\@-webkit-keyframes fadeOutUp{0%{opacity:1}to{opacity:0;-webkit-transform:translate3d(0,-100%,0);transform:translate3d(0,-100%,0)}}\@keyframes fadeOutUp{0%{opacity:1}to{opacity:0;-webkit-transform:translate3d(0,-100%,0);transform:translate3d(0,-100%,0)}}.fadeOutUp{-webkit-animation-name:fadeOutUp;animation-name:fadeOutUp}\@-webkit-keyframes fadeIn{0%{opacity:0}to{opacity:1}}\@keyframes fadeIn{0%{opacity:0}to{opacity:1}}.fadeIn{-webkit-animation-name:fadeIn;animation-name:fadeIn}\@-webkit-keyframes fadeInDown{0%{opacity:0;-webkit-transform:translate3d(0,-100%,0);transform:translate3d(0,-100%,0)}to{opacity:1;-webkit-transform:none;transform:none}}\@keyframes fadeInDown{0%{opacity:0;-webkit-transform:translate3d(0,-100%,0);transform:translate3d(0,-100%,0)}to{opacity:1;-webkit-transform:none;transform:none}}.fadeInDown{-webkit-animation-name:fadeInDown;animation-name:fadeInDown}\@-webkit-keyframes fadeInUp{0%{opacity:0;-webkit-transform:translate3d(0,100%,0);transform:translate3d(0,100%,0)}to{opacity:1;-webkit-transform:none;transform:none}}\@keyframes fadeInUp{0%{opacity:0;-webkit-transform:translate3d(0,100%,0);transform:translate3d(0,100%,0)}to{opacity:1;-webkit-transform:none;transform:none}}.fadeInUp{-webkit-animation-name:fadeInUp;animation-name:fadeInUp}.container{-ms-flex-positive:1;flex-grow:1;margin:0 auto;position:relative;width:auto}.container.is-fluid{max-width:none;padding-left:32px;padding-right:32px;width:100%}\@media screen and (min-width:1024px){.container{max-width:960px}}\@media screen and (max-width:1215px){.container.is-widescreen{max-width:1152px}}\@media screen and (max-width:1407px){.container.is-fullhd{max-width:1344px}}\@media screen and (min-width:1216px){.container{max-width:1152px}}\@media screen and (min-width:1408px){.container{max-width:1344px}}:host{position:relative;-ms-flex-item-align:center;cursor:pointer;width:100%;-ms-flex-pack:center;justify-content:center;-ms-flex-positive:0!important;flex-grow:0!important}:host,:host .toast{display:-ms-inline-flexbox;display:inline-flex;align-self:center}:host .toast{-ms-flex-item-align:center;-webkit-animation-duration:.15s;animation-duration:.15s;margin:.5em 0;text-align:center;-webkit-box-shadow:0 1px 4px rgba(0,0,0,.12),0 0 6px rgba(0,0,0,.04);box-shadow:0 1px 4px rgba(0,0,0,.12),0 0 6px rgba(0,0,0,.04);border-radius:3px;padding:20px 40px;pointer-events:auto;max-width:600px;-ms-flex-positive:1;flex-grow:1;font-size:.9375rem;font-weight:700}:host .toast.is-primary{background:#009ee7;color:#fff}:host .toast.is-info{background:#039;color:#fff}:host .toast.is-success{background:#3fc889;color:#fff}:host .toast.is-warning{background:#f90;color:#fff}:host .toast.is-danger{background:#ff668c;color:#fff}"; }
};

exports.bal_toast = Toast;
