import { Host, h } from "@stencil/core";
export class Navbar {
    constructor() {
        this.light = false;
        this.logoHref = "https://bulma.io";
    }
    render() {
        return (h(Host, null,
            h("nav", { class: [
                    "navbar is-spaced bal-track-line",
                    this.light ? "" : "is-info",
                ].join(" "), role: "navigation", "aria-label": "main navigation" },
                h("div", { class: "navbar-brand" },
                    h("a", { class: "navbar-item app-title", href: this.logoHref },
                        h("slot", { name: "navbar-brand" })),
                    h("a", { role: "button", class: "navbar-burger", "aria-label": "menu", "aria-expanded": "false" },
                        h("span", { "aria-hidden": "true" }),
                        h("span", { "aria-hidden": "true" }),
                        h("span", { "aria-hidden": "true" }))),
                h("div", { class: "navbar-menu" },
                    h("div", { class: "navbar-start" },
                        h("slot", { name: "navbar-start" })),
                    h("div", { class: "navbar-end" },
                        h("slot", { name: "navbar-end" }))))));
    }
    static get is() { return "bal-navbar"; }
    static get originalStyleUrls() { return {
        "$": ["navbar.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["navbar.css"]
    }; }
    static get properties() { return {
        "light": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "light",
            "reflect": false,
            "defaultValue": "false"
        },
        "logoHref": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "logo-href",
            "reflect": false,
            "defaultValue": "\"https://bulma.io\""
        }
    }; }
}
